curl --request POST \
--url https://api.hubapi.com/crm/properties/2026-03/{objectType}/batch/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"fieldType": "booleancheckbox",
"groupName": "<string>",
"label": "<string>",
"name": "<string>",
"type": "bool",
"calculationFormula": "<string>",
"currencyPropertyName": "<string>",
"dataSensitivity": "highly_sensitive",
"description": "<string>",
"displayOrder": 123,
"externalOptions": true,
"formField": true,
"hasUniqueValue": true,
"hidden": true,
"numberDisplayHint": "currency",
"options": [
{
"displayOrder": 123,
"hidden": true,
"label": "<string>",
"value": "<string>",
"description": "<string>"
}
],
"referencedObjectType": "<string>",
"showCurrencySymbol": true
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"description": "<string>",
"fieldType": "<string>",
"groupName": "<string>",
"label": "<string>",
"name": "<string>",
"options": [
{
"hidden": true,
"label": "<string>",
"value": "<string>",
"description": "<string>",
"displayOrder": 123
}
],
"type": "<string>",
"archived": true,
"archivedAt": "2023-11-07T05:31:56Z",
"calculated": true,
"calculationFormula": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdUserId": "<string>",
"currencyPropertyName": "<string>",
"dataSensitivity": "highly_sensitive",
"dateDisplayHint": "absolute",
"displayOrder": 123,
"externalOptions": true,
"formField": true,
"hasUniqueValue": true,
"hidden": false,
"hubspotDefined": true,
"modificationMetadata": {
"archivable": true,
"readOnlyDefinition": true,
"readOnlyValue": true,
"readOnlyOptions": true
},
"numberDisplayHint": "currency",
"referencedObjectType": "<string>",
"sensitiveDataCategories": [
"<string>"
],
"showCurrencySymbol": true,
"updatedAt": "2023-11-07T05:31:56Z",
"updatedUserId": "<string>"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"links": {},
"requestedAt": "2023-11-07T05:31:56Z"
}Crie um lote de propriedades usando as mesmas regras que ao criar uma propriedade individual.
curl --request POST \
--url https://api.hubapi.com/crm/properties/2026-03/{objectType}/batch/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"fieldType": "booleancheckbox",
"groupName": "<string>",
"label": "<string>",
"name": "<string>",
"type": "bool",
"calculationFormula": "<string>",
"currencyPropertyName": "<string>",
"dataSensitivity": "highly_sensitive",
"description": "<string>",
"displayOrder": 123,
"externalOptions": true,
"formField": true,
"hasUniqueValue": true,
"hidden": true,
"numberDisplayHint": "currency",
"options": [
{
"displayOrder": 123,
"hidden": true,
"label": "<string>",
"value": "<string>",
"description": "<string>"
}
],
"referencedObjectType": "<string>",
"showCurrencySymbol": true
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"description": "<string>",
"fieldType": "<string>",
"groupName": "<string>",
"label": "<string>",
"name": "<string>",
"options": [
{
"hidden": true,
"label": "<string>",
"value": "<string>",
"description": "<string>",
"displayOrder": 123
}
],
"type": "<string>",
"archived": true,
"archivedAt": "2023-11-07T05:31:56Z",
"calculated": true,
"calculationFormula": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdUserId": "<string>",
"currencyPropertyName": "<string>",
"dataSensitivity": "highly_sensitive",
"dateDisplayHint": "absolute",
"displayOrder": 123,
"externalOptions": true,
"formField": true,
"hasUniqueValue": true,
"hidden": false,
"hubspotDefined": true,
"modificationMetadata": {
"archivable": true,
"readOnlyDefinition": true,
"readOnlyValue": true,
"readOnlyOptions": true
},
"numberDisplayHint": "currency",
"referencedObjectType": "<string>",
"sensitiveDataCategories": [
"<string>"
],
"showCurrencySymbol": true,
"updatedAt": "2023-11-07T05:31:56Z",
"updatedUserId": "<string>"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"links": {},
"requestedAt": "2023-11-07T05:31:56Z"
}Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
Show child attributes
successful operation
A data e a hora que indica quando a operação em lote foi concluída.
Show child attributes
A data/hora que indica quando a operação em lote começou a ser processada.
O status atual da operação em lote. Os valores possíveis são: CANCELED, COMPLETE, PENDING ou PROCESSING.
CANCELED, COMPLETE, PENDING, PROCESSING Uma coleção de URLs que direcionam para a documentação ou para recursos relacionados à operação em lote.
Show child attributes
A data e a hora que indica quando a operação em lote foi solicitada.